## vdr-plugin-xineliboutput 1.0.7%2bcvs20111211.1625

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# See the main source file 'xineliboutput.c' for copyright information and
# how to reach the author.
#
# $Id: Makefile,v 1.106 2011/01/23 19:42:08 phintuka Exp $
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = xineliboutput

_default: all


# check for Apple Darwin
ARCH_APPLE_DARWIN = no
ifeq ($(shell gcc -dumpmachine | grep -q 'apple-darwin' && echo "1" || echo "0"), 1)
    ARCH_APPLE_DARWIN = yes
endif

#
# Override configuration here or in ../../../Make.config
#

#NOSIGNAL_IMAGE_FILE=/usr/share/vdr/xineliboutput/nosignal.mpv
#STARTUP_IMAGE_FILE=/usr/share/vdr/xineliboutput/logodisplay.mpv
XINELIBOUTPUT_CONFIGURE_OPTS =


###
### The version number of this plugin (taken from the main source file):
###

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | cut -d'"' -f2)


###
### The C++ compiler and options:
###

CXX      ?= g++
CC       ?= gcc 
OPTFLAGS ?= 

ifeq ($(ARCH_APPLE_DARWIN), yes)
    CXXFLAGS   ?= -O3 -pipe -Wall -Woverloaded-virtual -fPIC -g -fno-common -bundle -flat_namespace -undefined suppress
    CFLAGS     ?= -O3 -pipe -Wall -fPIC -g -fno-common -bundle -flat_namespace -undefined suppress
    LDFLAGS_SO ?= -fvisibility=hidden
else
    CXXFLAGS   ?= -O3 -pipe -Wall -Woverloaded-virtual -fPIC -g
    CFLAGS     ?= -O3 -pipe -Wall -fPIC -g
    LDFLAGS_SO ?= -fvisibility=hidden
    LDFLAGS_SO += -shared
endif

###
### The directory environment:
###

VDRDIR  ?= ../../..
LIBDIR  ?= ../../lib
TMPDIR  ?= /tmp
BINDIR  ?= /usr/bin
#DESTDIR ?= /

INSTALL ?= install

VDRINCDIR ?= $(VDRDIR)/include

###
### Allow user defined options to overwrite defaults:
###

-include $(VDRDIR)/Make.global
-include $(VDRDIR)/Make.config
-include Make.config


###
### check for VDR
###

ifeq ($(ARCH_APPLE_DARWIN), yes)
    VDRVERSION = $(shell sed -ne '/define VDRVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
    APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
else
    VDRVERSION = $(shell sed -ne '/define VDRVERSION/ { s/^.*"\(.*\)".*$$/\1/; p }' $(VDRDIR)/config.h)
    APIVERSION = $(shell sed -ne '/define APIVERSION/ { s/^.*"\(.*\)".*$$/\1/; p }' $(VDRDIR)/config.h)
endif

VDR_TREE = no
ifeq ($(strip $(VDRVERSION)),)
    $(warning ********************************************************)
    $(warning VDR not detected ! VDR plugins will not be compiled.    )
    $(warning ********************************************************)
    CONFIGURE_OPTS += --disable-vdr
else
    ifeq ($(strip $(APIVERSION)),)
        $(warning VDR APIVERSION missing, using VDRVERSION $(VDRVERSION) )
        APIVERSION = $(VDRVERSION)
    endif
    CONFIGURE_OPTS += --add-cflags=-I$(VDRDIR)

    ifeq ($(VDRDIR), ../../..)
        $(warning Building inside VDR source tree)
        VDR_TREE = yes
    else
        $(warning ********************************************************)
        $(warning VDR source tree not detected !                          )
        $(warning VDR plugins will not be installed.                      )
        $(warning ********************************************************)
    endif
endif


###
### run configure script
###

config.mak: Makefile configure
	@echo Running configure
	@sh configure --cc=$(CC) --cxx=$(CXX) $(CONFIGURE_OPTS) $(XINELIBOUTPUT_CONFIGURE_OPTS)
-include config.mak

###
### The name of the distribution archive:
###

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)


###
### The name of executable and libraries
###

VDRPLUGIN            = libvdr-$(PLUGIN).so.$(APIVERSION)
VDRPLUGIN_SXFE       = lib$(PLUGIN)-sxfe.so.$(VERSION)
VDRPLUGIN_FBFE       = lib$(PLUGIN)-fbfe.so.$(VERSION)
VDRSXFE              = vdr-sxfe
VDRFBFE              = vdr-fbfe
XINEINPUTVDR         = xineplug_inp_xvdr.so
XINEPOSTAUTOCROP     = xineplug_post_autocrop.so
XINEPOSTSWSCALE      = xineplug_post_swscale.so
XINEPOSTAUDIOCHANNEL = xineplug_post_audiochannel.so

###
### which programs and libs to build
###

TARGETS_VDR  =
TARGETS_FE   =
TARGETS_XINE =
ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
    TARGETS_VDR += $(VDRPLUGIN)
endif
ifeq ($(XINELIBOUTPUT_XINEPLUGIN), yes)
    TARGETS_XINE += $(XINEINPUTVDR) $(XINEPOSTAUTOCROP) $(XINEPOSTSWSCALE) $(XINEPOSTAUDIOCHANNEL)
endif
ifeq ($(XINELIBOUTPUT_X11), yes)
    TARGETS_FE += $(VDRSXFE)
    ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
        TARGETS_VDR += $(VDRPLUGIN_SXFE)
    endif
endif
ifeq ($(XINELIBOUTPUT_FB), yes)
    TARGETS_FE += $(VDRFBFE)
    ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
        TARGETS_VDR += $(VDRPLUGIN_FBFE)
    endif
endif


###
### Includes and Defines (add further entries here):
###

INCLUDES  += -I$(VDRINCDIR)

ifeq ($(ARCH_APPLE_DARWIN), yes)
    INCLUDES  += -I/sw/include
    LIBDIRS   += -L/sw/lib
    LIBS      += $(LIBDIRS)
else
    LIBS      += -lrt
endif

DEFINES   += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' \
             -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 \
	     -DXINELIBOUTPUT_VERSION='"$(VERSION)"'

ifdef NOSIGNAL_IMAGE_FILE
  DEFINES += -DNOSIGNAL_IMAGE_FILE='"$(NOSIGNAL_IMAGE_FILE)"'
endif
ifdef STARTUP_IMAGE_FILE
  DEFINES += -DSTARTUP_IMAGE_FILE='"$(STARTUP_IMAGE_FILE)"'
endif


###
### The object files (add further files here):
###

# VDR plugin
OBJS = $(PLUGIN).o device.o frontend.o osd.o config.o menu.o setup_menu.o \
       menuitems.o media_player.o equalizer.o \
       frontend_local.o frontend_svr.o \
       tools/cxsocket.o tools/udp_pes_scheduler.o \
       tools/backgroundwriter.o tools/playlist.o tools/http.o \
       tools/vdrdiscovery.o tools/time_pts.o tools.o \
       tools/metainfo_menu.o logdefs.o tools/rle.o
OBJS_MPG = black_720x576.o nosignal_720x576.o vdrlogo_720x576.o

# frontends
OBJS_FE_SO = xine_frontend.o logdefs.o \
             xine/post.o xine/vo_hook.o xine/vo_osdscaler.o xine/vo_osdreorder.o xine/vo_lastpts.o \
             tools/rle.o
OBJS_FE    = $(OBJS_FE_SO) tools/vdrdiscovery.o xine_frontend_main.o xine_frontend_lirc.o xine_frontend_kbd.o

OBJS_SXFE_SO = xine_sxfe_frontend.o $(OBJS_FE_SO)
OBJS_SXFE    = xine_sxfe_frontend.o $(OBJS_FE)
OBJS_FBFE_SO = xine_fbfe_frontend.o $(OBJS_FE_SO)
OBJS_FBFE    = xine_fbfe_frontend.o $(OBJS_FE)

ifneq ($(HAVE_DBUS_GLIB_1), no)
OBJS_SXFE    += tools/gnome_screensaver.o
OBJS_SXFE_SO += tools/gnome_screensaver.o
endif

# xine plugins
OBJS_XINEINPUTVDR = xine_input_vdr.o xine/demux_xvdr.o \
                    xine/ts2es.o xine/demux_xvdr_tsdata.o \
                    xine/adjustable_scr.o xine/xvdr_metronom.o xine/osd_manager.o \
                    tools/rle.o tools/ts.o tools/pes.o tools/mpeg.o tools/h264.o

OBJS_XINE = $(OBJS_XINEINPUTVDR) xine_post_autocrop.o xine_post_swscale.o xine_post_audiochannel.o

###
### Implicit rules:
###

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_VDR) -o $@ $<


###
### Dependencies:
###

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile config.mak
	@rm -f $@
	@for i in $(OBJS:%.o=%.c) $(OBJS_SXFE:%.o=%.c) $(OBJS_FBFE:%.o=%.c) $(OBJS_XINE:%.o=%.c) ; do \
	  $(MAKEDEP) $(DEFINES) $(INCLUDES) -MT "`dirname $$i`/`basename $$i .c`.o" $$i >>$@ ; \
	done

-include $(DEPFILE)

DEFINES += -Wall


###
### Rules:
###

mpg2c: mpg2c.c
	$(CC) $(CFLAGS) $(LDFLAGS) mpg2c.c -o $@

# data
black_720x576.c: mpg2c black_720x576.mpg
	@./mpg2c black black_720x576.mpg black_720x576.c
nosignal_720x576.c: mpg2c nosignal_720x576.mpg
	@./mpg2c nosignal nosignal_720x576.mpg nosignal_720x576.c
vdrlogo_720x576.c: mpg2c vdrlogo_720x576.mpg
	@./mpg2c vdrlogo vdrlogo_720x576.mpg vdrlogo_720x576.c

# C code (xine plugins and frontends)
$(sort $(OBJS_SXFE) $(OBJS_FBFE) $(OBJS_XINE)):
	$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_X11) $(OPTFLAGS) -o $@ $<

### Internationalization (I18N):
ifeq ($(HAVE_I18N), yes)
PODIR     = po
LOCALEDIR ?= $(DESTDIR)$(VDRDIR)/locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<phintuka@users.sourceforge.net>' -o $@ $^

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
	@touch $@

$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@mkdir -p $(dir $@)
	cp $< $@
endif

.PHONY: i18n
i18n: $(I18Nmsgs)

###
### targets
###

XINELIBOUTPUT_INSTALL_MSG =  \
	    $(warning *********************** xineliboutput ***************************) \
	    $(warning  Xine plugins and frontends will not be installed automatically. ) \
	    $(warning  To install files execute "make install" in                      ) \
	    $(warning  $(shell echo `pwd`)) \
	    $(warning *****************************************************************)

install : XINELIBOUTPUT_INSTALL_MSG =

.PHONY: all
all: config $(TARGETS_VDR) frontends i18n

frontends: config $(TARGETS_FE) $(TARGETS_XINE)
	$(XINELIBOUTPUT_INSTALL_MSG)

config: config.mak

.PHONY: config 

.PHONY: frontends install dist clean

#
# VDR plugin
#

$(VDRPLUGIN): $(OBJS) $(OBJS_MPG)
	$(CXX) $(CXXFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS) $(OBJS_MPG) $(LIBS) $(LIBS_VDR) -o $@
ifeq ($(VDR_TREE), yes)
	@-rm -rf $(LIBDIR)/$@
	@cp $@ $(LIBDIR)/$@
endif
# Keep VDR Makefile happy - it requires $(LIBDIR)/.$(APIVERSION) somewhere in this file ...

#
# vdr-sxfe
#

$(VDRPLUGIN_SXFE): $(OBJS_SXFE_SO)
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_SXFE_SO) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) -o $@
ifeq ($(VDR_TREE), yes)
	@-rm -rf $(LIBDIR)/$(VDRPLUGIN_SXFE)
	@cp $@ $(LIBDIR)/$(VDRPLUGIN_SXFE)
endif
$(VDRSXFE): $(OBJS_SXFE)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_SXFE) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_PTHREAD) -o $@

#
# vdr-fbfe
#

$(VDRPLUGIN_FBFE): $(OBJS_FBFE_SO)
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_FBFE_SO) $(LIBS_XINE) $(LIBS_JPEG) -o $@
ifeq ($(VDR_TREE), yes)
	@-rm -rf $(LIBDIR)/$(VDRPLUGIN_FBFE)
	@cp $@ $(LIBDIR)/$(VDRPLUGIN_FBFE)
endif
$(VDRFBFE): $(OBJS_FBFE)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_FBFE) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_PTHREAD) -o $@

#
# xine plugins
#

$(XINEINPUTVDR): $(OBJS_XINEINPUTVDR)
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_XINEINPUTVDR) $(LIBS_XINE) $(LIBS_AVUTIL) $(LIBS_PTHREAD) -o $@
$(XINEPOSTAUTOCROP): xine_post_autocrop.o
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)
$(XINEPOSTSWSCALE): xine_post_swscale.o
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)
$(XINEPOSTAUDIOCHANNEL): xine_post_audiochannel.o
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)

#
# install
#

install: all
ifeq ($(XINELIBOUTPUT_XINEPLUGIN), yes)
	@mkdir -p $(DESTDIR)/$(XINEPLUGINDIR)/post
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTVDR)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTVDR)
	@$(INSTALL) -m 0644 $(XINEINPUTVDR) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTVDR)
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
	@$(INSTALL) -m 0644 $(XINEPOSTAUTOCROP) $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
	@$(INSTALL) -m 0644 $(XINEPOSTSWSCALE) $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
	@$(INSTALL) -m 0644 $(XINEPOSTAUDIOCHANNEL) $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
endif
ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
  ifeq ($(VDR_TREE), no)
	@echo Installing $(DESTDIR)$(LIBDIR)/$(VDRPLUGIN)
	@mkdir -p $(DESTDIR)$(LIBDIR)

=== xine/BluRay/Makefile ===
#
# select plugins
#

ENABLE_DEMUX_PLUGIN ?= yes

ifeq ($(shell pkg-config libbluray && echo yes), yes)
    ENABLE_INPUT_PLUGIN ?= yes
    CFLAGS_BD ?= $(shell pkg-config libbluray --cflags)
    LIBS_BD   ?= $(shell pkg-config libbluray --libs)
else
    ENABLE_INPUT_PLUGIN ?= no
    $(warning libbluray not found)
endif

ifeq ($(shell pkg-config libxine --atleast-version=1.1.19.1 || echo "yes"), yes)
    ENABLE_SPU_PLUGIN ?= yes
else
    ENABLE_SPU_PLUGIN ?= no
    $(warning SPU plugin is included in xine-lib 1.1.19+)
endif

ifeq ($(shell pkg-config libxine --atleast-version=1.1.19.1 || echo "yes"), yes)
    ENABLE_PCM_PLUGIN ?= yes
else
    ENABLE_PCM_PLUGIN ?= no
    $(warning PCM plugin is included in xine-lib 1.1.19+)
endif

#
# compiler options
#

CFLAGS      += -O2 -fPIC -ggdb
CFLAGS      += -Wall -Wextra -Wno-unused-parameter
CFLAGS      += -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CFLAGS      += $(shell pkg-config libxine --cflags)
CFLAGS      += $(CFLAGS_BD)
INSTALL      = install


#
# linker options
#

LIBS_XINE    = $(shell pkg-config libxine --libs)
LDFLAGS     += -shared -fvisibility=hidden

#
# targets
#

DESTDIR           ?= /
XINEPLUGINDIR      = $(shell pkg-config libxine --variable=plugindir)

ifeq ($(ENABLE_DEMUX_PLUGIN), yes)
    XINEDMXPLUGIN  = xineplug_dmx_mpeg_ts_hdmv.so
else
    $(warning Not building HDMV MPEG-TS demuxer plugin)
endif

ifeq ($(ENABLE_SPU_PLUGIN), yes)
    XINESPUPLUGIN = xineplug_decode_spuhdmv.so
else
    $(warning Not building HDMV SPU plugin)
endif

ifeq ($(ENABLE_INPUT_PLUGIN), yes)
    XINEINPUTPLUGIN= xineplug_inp_bluray.so
else
    $(warning Not building BluRay input plugin)
endif

ifeq ($(ENABLE_PCM_PLUGIN), yes)
    XINELPCMPLUGIN = xineplug_decode_lpcm_hdmv.so
else
    $(warning Not building BluRay PCM plugin)
endif

#
# object files
#

OBJS_XINEDMXPLUGIN   = demux_ts.o
OBJS_XINESPUPLUGIN   = decode_spuhdmv.o
OBJS_XINEINPUTPLUGIN = input_bluray.o
OBJS_XINELPCMPLUGIN  = xine_lpcm_decoder.o

#
# rules
#

all: $(XINEDMXPLUGIN) $(XINESPUPLUGIN) $(XINEINPUTPLUGIN) $(XINELPCMPLUGIN)

ifeq ($(ENABLE_DEMUX_PLUGIN), yes)
$(XINEDMXPLUGIN): $(OBJS_XINEDMXPLUGIN)
	$(CC) $(LDFLAGS) $(LIBS_XINE) -o $@ $(OBJS_XINEDMXPLUGIN)
endif

ifeq ($(ENABLE_SPU_PLUGIN), yes)
$(XINESPUPLUGIN): $(OBJS_XINESPUPLUGIN)
	$(CC) $(LDFLAGS) $(LIBS_XINE) -o $@ $(OBJS_XINESPUPLUGIN)
endif

ifeq ($(ENABLE_INPUT_PLUGIN), yes)
$(XINEINPUTPLUGIN): $(OBJS_XINEINPUTPLUGIN)
	$(CC) $(LDFLAGS) $(LIBS_XINE) $(LIBS_BD) -o $@ $(OBJS_XINEINPUTPLUGIN)
endif

ifeq ($(ENABLE_PCM_PLUGIN), yes)
$(XINELPCMPLUGIN): $(OBJS_XINELPCMPLUGIN)
	$(CC) $(LDFLAGS) $(LIBS_XINE) -o $@ $(OBJS_XINELPCMPLUGIN)
endif

#
# targets
#

clean:
	@rm -rf *.o *.so *~

install: all uninstall
ifeq ($(ENABLE_DEMUX_PLUGIN), yes)
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
	@$(INSTALL) -D -m 0644 $(XINEDMXPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
endif
ifeq ($(ENABLE_SPU_PLUGIN), yes)
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
	@$(INSTALL) -D -m 0644 $(XINESPUPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
endif
ifeq ($(ENABLE_INPUT_PLUGIN), yes)
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
	@$(INSTALL) -D -m 0644 $(XINEINPUTPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
endif
ifeq ($(ENABLE_PCM_PLUGIN), yes)
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
	@$(INSTALL) -D -m 0644 $(XINELPCMPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
endif

uninstall:
ifeq ($(ENABLE_DEMUX_PLUGIN), yes)
	@echo Removing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
endif
ifeq ($(ENABLE_SPU_PLUGIN), yes)
	@echo Removing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
endif
ifeq ($(ENABLE_INPUT_PLUGIN), yes)
	@echo Removing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
endif
ifeq ($(ENABLE_PCM_PLUGIN), yes)
	@echo Removing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
endif

## vdr-plugin-xineliboutput 1.0.7+cvs20110820.1342

=== debian/changelog ===
vdr-plugin-xineliboutput (1.0.7+cvs20110820.1342-1) unstable; urgency=low

  * New Upstream Snapshot
  * Build-depend on vdr-dev (>= 1.7.20)

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:26:09 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20110619.1841-1) unstable; urgency=low

  * New Upstream Snapshot
  * Build-Depend on vdr-dev (>= 1.7.19)

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Jun 2011 20:41:31 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20110605.1714-1) unstable; urgency=low

  * New Upstream Snapshot
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sun, 05 Jun 2011 19:21:12 +0200

=== debian/control ===
Source: vdr-plugin-xineliboutput
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), gettext, txt2man,
 vdr-dev (>= 1.7.20),
 x11proto-core-dev,
 libxine-dev (>= 1.1.12),
 libxext-dev,
 libjpeg-dev,
 libx11-dev,
 libdbus-glib-1-dev,
 libextractor-dev,
 libxinerama-dev,
 libxrender-dev,
 libvdpau-dev,
 freeglut3-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-xineliboutput/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-xineliboutput/trunk/
Homepage: http://sourceforge.net/projects/xineliboutput

Package: vdr-plugin-xineliboutput
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin for Xine based sofdevice frontends
 This VDR plugin provides an audio, video and control stream, that several
 libxine based local and remote frontends can use.

Package: libxineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine1-xvdr (= ${binary:Version}), libxine1-console
Description: Local framebuffer frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for framebuffer devices.

Package: libxineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine1-xvdr (= ${binary:Version}), libxine1-x, dbus
Description: Local X-Server frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for X, Xv or XvMC window systems.

Package: xineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine1-xvdr (= ${binary:Version}), libxine1-console
Description: Remote Framebuffer frontend for vdr-plugin-xineliboutput
 This frambuffer remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: xineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine1-xvdr (= ${binary:Version}), libxine1-x, dbus
Description: Remote X-Server frontend for vdr-plugin-xineliboutput
 This X/Xv/XvMc remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: libxine1-xvdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine:Depends}, libxine1-ffmpeg
Replaces: libxine-xvdr (<< 1.0.0~rc2-5)
Provides: libxine-xvdr
Conflicts: libxine-xvdr (<< 1.0.0~rc2-5)
Description: Xine input plugin for vdr-plugin-xineliboutput streams
 This plugin adds a new mrl "xvdr://" to Xine, which allows one to play back
 streams provided by vdr-plugin-xineliboutput.

## vdr-plugin-xineliboutput 1.0.7+cvs20111211.1625

=== debian/changelog ===
vdr-plugin-xineliboutput (1.0.7+cvs20111211.1625-1) unstable; urgency=low

  * New Upstream Snapshot
  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:26:04 +0100

vdr-plugin-xineliboutput (1.0.7+cvs20111029.0956-1) unstable; urgency=low

  * New Upstream Snapshot
  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 11:56:16 +0200

vdr-plugin-xineliboutput (1.0.7+cvs20111023.1141-1) unstable; urgency=low

  * New Upstream Snapshot
  * Support epoch in libxine version

 -- Tobias Grimm <etobi@debian.org>  Sun, 23 Oct 2011 13:41:14 +0200

vdr-plugin-xineliboutput (1.0.7+cvs20110918.1632-1) unstable; urgency=low

  * New Upstream Snapshot
  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
 Build-Depends: debhelper (>= 7.0.50~), gettext, txt2man,
- vdr-dev (>= 1.7.20),
+ vdr-dev (>= 1.7.22),
  x11proto-core-dev,
  libxine-dev (>= 1.1.12),
  libxext-dev,
@@ -17,8 +17,8 @@
  libvdpau-dev,
  freeglut3-dev
 Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-xineliboutput/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-xineliboutput/trunk/
+Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-xineliboutput.git
+Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-xineliboutput.git
 Homepage: http://sourceforge.net/projects/xineliboutput
 
 Package: vdr-plugin-xineliboutput

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=/usr/lib LOCALEDIR=debian/tmp/usr/share/locale \
               NOSIGNAL_IMAGE_FILE=/usr/share/libxine1-xvdr/nosignal.mpg

%:
	dh $@

override_dh_auto_configure:
	./configure

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)
	txt2man -s 1 -t vdr-sxfe -v "Remote X-Server frontend for vdr-plugin-xineliboutput" debian/vdr-sxfe.1.txt >vdr-sxfe.1
	txt2man -s 1 -t vdr-fbfe -v "Remote Framebuffer frontend for vdr-plugin-xineliboutput" debian/vdr-fbfe.1.txt >vdr-fbfe.1

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -f vdr-sxfe.1 vdr-fbfe.1

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dpkg -p libxine-dev | sed -re '/^Version:/! d; s/^Version: (([0-9]:)?([0-9]+\.){2}[0-9]+).*$$/xine:Depends=libxine1 (>= \1)/' \
	>> debian/libxine1-xvdr.substvars
	dh_gencontrol

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTIONS)
	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-sxfe.svg
	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-fbfe.svg

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh

## vdr-plugin-xineliboutput 1.0.7+cvs20120130.2334

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the main source file 'xineliboutput.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile,v 1.106 2011/01/23 19:42:08 phintuka Exp $
+# $Id: Makefile,v 1.107 2012/01/10 19:52:41 phintuka Exp $
 #
 
 # The official name of this plugin.
@@ -123,7 +123,7 @@
 
 config.mak: Makefile configure
 	@echo Running configure
-	@sh configure --cc=$(CC) --cxx=$(CXX) $(CONFIGURE_OPTS) $(XINELIBOUTPUT_CONFIGURE_OPTS)
+	@sh configure --cc="$(CC)" --cxx="$(CXX)" $(CONFIGURE_OPTS) $(XINELIBOUTPUT_CONFIGURE_OPTS)
 -include config.mak
 
 ###
@@ -408,4 +408,3 @@
 ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
   ifeq ($(VDR_TREE), no)
 	@echo Installing $(DESTDIR)$(LIBDIR)/$(VDRPLUGIN)
-	@mkdir -p $(DESTDIR)$(LIBDIR)

=== debian/changelog ===
vdr-plugin-xineliboutput (1.0.7+cvs20120130.2334-1) unstable; urgency=low

  * New Upstream Snapshot (Closes: #657063, #656732)
  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 01:51:20 +0100

vdr-plugin-xineliboutput (1.0.7+cvs20120115.0019-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Jan 2012 01:19:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
 Build-Depends: debhelper (>= 7.0.50~), gettext, txt2man,
- vdr-dev (>= 1.7.22),
+ vdr-dev (>= 1.7.23),
  x11proto-core-dev,
  libxine-dev (>= 1.1.12),
  libxext-dev,

## vdr-plugin-xineliboutput 1.0.7+cvs20120609.1902

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the main source file 'xineliboutput.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile,v 1.107 2012/01/10 19:52:41 phintuka Exp $
+# $Id: Makefile,v 1.109 2012/03/07 08:29:50 phintuka Exp $
 #
 
 # The official name of this plugin.
@@ -206,6 +206,7 @@
 ###
 
 # VDR plugin
+ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
 OBJS = $(PLUGIN).o device.o frontend.o osd.o config.o menu.o setup_menu.o \
        menuitems.o media_player.o equalizer.o \
        frontend_local.o frontend_svr.o \
@@ -214,10 +215,12 @@
        tools/vdrdiscovery.o tools/time_pts.o tools.o \
        tools/metainfo_menu.o logdefs.o tools/rle.o
 OBJS_MPG = black_720x576.o nosignal_720x576.o vdrlogo_720x576.o
+endif
 
 # frontends
 OBJS_FE_SO = xine_frontend.o logdefs.o \
              xine/post.o xine/vo_hook.o xine/vo_osdscaler.o xine/vo_osdreorder.o xine/vo_lastpts.o \
+             xine/vo_frameoutput.o \
              tools/rle.o
 OBJS_FE    = $(OBJS_FE_SO) tools/vdrdiscovery.o xine_frontend_main.o xine_frontend_lirc.o xine_frontend_kbd.o
 
@@ -285,6 +288,7 @@
 
 ### Internationalization (I18N):
 ifeq ($(HAVE_I18N), yes)
+ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
 PODIR     = po
 LOCALEDIR ?= $(DESTDIR)$(VDRDIR)/locale
 I18Npo    = $(wildcard $(PODIR)/*.po)
@@ -304,6 +308,7 @@
 $(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
 	@mkdir -p $(dir $@)
 	cp $< $@
+endif
 endif
 
 .PHONY: i18n
@@ -405,6 +410,3 @@
 	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
 	@$(INSTALL) -m 0644 $(XINEPOSTAUDIOCHANNEL) $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
 endif
-ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
-  ifeq ($(VDR_TREE), no)
-	@echo Installing $(DESTDIR)$(LIBDIR)/$(VDRPLUGIN)

=== xine/BluRay/Makefile ===
--- 
+++ 
@@ -2,12 +2,22 @@
 # select plugins
 #
 
-ENABLE_DEMUX_PLUGIN ?= yes
+ifeq ($(shell pkg-config libxine --atleast-version=1.1.21 || echo "yes"), yes)
+    ENABLE_DEMUX_PLUGIN ?= yes
+else
+    ENABLE_DEMUX_PLUGIN ?= no
+    $(warning demux plugin is included in xine-lib 1.1.21+)
+endif
 
 ifeq ($(shell pkg-config libbluray && echo yes), yes)
-    ENABLE_INPUT_PLUGIN ?= yes
-    CFLAGS_BD ?= $(shell pkg-config libbluray --cflags)
-    LIBS_BD   ?= $(shell pkg-config libbluray --libs)
+    ifeq ($(shell pkg-config libxine --atleast-version=1.1.21 || echo "yes"), yes)
+        ENABLE_INPUT_PLUGIN ?= yes
+        CFLAGS_BD ?= $(shell pkg-config libbluray --cflags)
+        LIBS_BD   ?= $(shell pkg-config libbluray --libs)
+    else
+        ENABLE_DEMUX_PLUGIN ?= no
+        $(warning input plugin is included in xine-lib 1.1.21+)
+    endif
 else
     ENABLE_INPUT_PLUGIN ?= no
     $(warning libbluray not found)

=== debian/changelog ===
vdr-plugin-xineliboutput (1.0.7+cvs20120609.1902-1) unstable; urgency=low

  * New Upstream Snapshot
  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 21:04:39 +0200

vdr-plugin-xineliboutput (1.0.7+cvs20120529.1722-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Tue, 29 May 2012 19:22:47 +0200

vdr-plugin-xineliboutput (1.0.7+cvs20120506.1319-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sun, 06 May 2012 15:20:54 +0200

vdr-plugin-xineliboutput (1.0.7+cvs20120419.2159-1) unstable; urgency=low

  * New Upstream Snapshot
  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Fri, 20 Apr 2012 00:00:43 +0200

vdr-plugin-xineliboutput (1.0.7+cvs20120325.0846-1) unstable; urgency=low

  * New Upstream Snapshot
  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 10:46:53 +0200

vdr-plugin-xineliboutput (1.0.7+cvs20120214.0259-2) unstable; urgency=low

  * Added fix-segfault.patch (Closes #659655)

 -- Tobias Grimm <etobi@debian.org>  Tue, 14 Feb 2012 21:38:10 +0100

vdr-plugin-xineliboutput (1.0.7+cvs20120214.0259-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Tue, 14 Feb 2012 03:59:37 +0100

vdr-plugin-xineliboutput (1.0.7+cvs20120130.2334-2) unstable; urgency=low

  * Switching to libxine2

 -- Tobias Grimm <etobi@debian.org>  Fri, 03 Feb 2012 22:11:52 +0100

=== debian/control ===
Source: vdr-plugin-xineliboutput
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), gettext, txt2man,
 vdr-dev (>= 1.7.28),
 x11proto-core-dev,
 libxine2-dev,
 libavutil-dev,
 libxext-dev,
 libjpeg-dev,
 libx11-dev,
 libdbus-glib-1-dev,
 libextractor-dev,
 libxinerama-dev,
 libxrender-dev,
 libvdpau-dev,
 freeglut3-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-xineliboutput.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-xineliboutput.git
Homepage: http://sourceforge.net/projects/xineliboutput

Package: vdr-plugin-xineliboutput
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin for Xine based sofdevice frontends
 This VDR plugin provides an audio, video and control stream, that several
 libxine based local and remote frontends can use.

Package: libxineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine2-xvdr (= ${binary:Version}), libxine2-console
Description: Local framebuffer frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for framebuffer devices.

Package: libxineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine2-xvdr (= ${binary:Version}), libxine2-x, dbus
Description: Local X-Server frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for X, Xv or XvMC window systems.

Package: xineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-console
Description: Remote Framebuffer frontend for vdr-plugin-xineliboutput
 This frambuffer remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: xineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-x, dbus
Description: Remote X-Server frontend for vdr-plugin-xineliboutput
 This X/Xv/XvMc remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: libxine2-xvdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine:Depends}, libxine2-ffmpeg
Replaces: libxine-xvdr (<< 1.0.0~rc2-5)
Provides: libxine-xvdr
Conflicts: libxine-xvdr (<< 1.0.0~rc2-5)
Description: Xine input plugin for vdr-plugin-xineliboutput streams
 This plugin adds a new mrl "xvdr://" to Xine, which allows one to play back
 streams provided by vdr-plugin-xineliboutput.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=/usr/lib LOCALEDIR=debian/tmp/usr/share/locale \
-               NOSIGNAL_IMAGE_FILE=/usr/share/libxine1-xvdr/nosignal.mpg
+               NOSIGNAL_IMAGE_FILE=/usr/share/libxine2-xvdr/nosignal.mpg
 
 %:
 	dh $@
@@ -23,8 +23,8 @@
 
 override_dh_gencontrol:
 	sh /usr/share/vdr-dev/dependencies.sh
-	dpkg -p libxine-dev | sed -re '/^Version:/! d; s/^Version: (([0-9]:)?([0-9]+\.){2}[0-9]+).*$$/xine:Depends=libxine1 (>= \1)/' \
-	>> debian/libxine1-xvdr.substvars
+	dpkg -p libxine2-dev | sed -re '/^Version:/! d; s/^Version: (([0-9]:)?([0-9]+\.){2}[0-9]+).*$$/xine:Depends=libxine2 (>= \1)/' \
+	>> debian/libxine2-xvdr.substvars
 	dh_gencontrol
 
 override_dh_auto_install:

## vdr-plugin-xineliboutput 1.0.7+cvs20130223.2117

=== debian/changelog ===
vdr-plugin-xineliboutput (1.0.7+cvs20130223.2117-6) unstable; urgency=low

  * Added *-dbg packages

 -- Tobias Grimm <etobi@debian.org>  Mon, 01 Apr 2013 19:20:55 +0200

vdr-plugin-xineliboutput (1.0.7+cvs20130223.2117-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:25 +0200

vdr-plugin-xineliboutput (1.0.7+cvs20130223.2117-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:32 +0100

vdr-plugin-xineliboutput (1.0.7+cvs20130223.2117-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:52:58 +0100

vdr-plugin-xineliboutput (1.0.7+cvs20130223.2117-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:41:53 +0100

vdr-plugin-xineliboutput (1.0.7+cvs20130223.2117-1) unstable; urgency=low

  * New Upstream Snapshot
  * Debhelper 9
  * Updated debian/copyright
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Sun, 24 Feb 2013 09:38:54 +0100

## vdr-plugin-xineliboutput 1.1.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the main source file 'xineliboutput.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile,v 1.109 2012/03/07 08:29:50 phintuka Exp $
+# $Id: Makefile,v 1.110 2012/07/29 08:55:00 phintuka Exp $
 #
 
 # The official name of this plugin.
@@ -284,7 +284,7 @@
 
 # C code (xine plugins and frontends)
 $(sort $(OBJS_SXFE) $(OBJS_FBFE) $(OBJS_XINE)):
-	$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_X11) $(OPTFLAGS) -o $@ $<
+	$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_X11) $(CFLAGS_AVUTIL) $(OPTFLAGS) -o $@ $<
 
 ### Internationalization (I18N):
 ifeq ($(HAVE_I18N), yes)
@@ -409,4 +409,3 @@
 	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
 	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
 	@$(INSTALL) -m 0644 $(XINEPOSTAUDIOCHANNEL) $(DESTDIR)/$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
-endif

=== debian/changelog ===
vdr-plugin-xineliboutput (1.1.0-1build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 21:38:55 +0000

vdr-plugin-xineliboutput (1.1.0-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Sat, 14 Sep 2013 21:18:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: vdr-plugin-xineliboutput
 Section: video
 Priority: extra
-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), gettext, txt2man,
- vdr-dev (>= 1.7.28),
+Build-Depends: debhelper (>= 9), gettext, pkg-config, txt2man,
+ vdr-dev (>= 2.0.0),
  x11proto-core-dev,
  libxine2-dev,
  libavutil-dev,
@@ -29,12 +30,34 @@
  This VDR plugin provides an audio, video and control stream, that several
  libxine based local and remote frontends can use.
 
+Package: vdr-plugin-xineliboutput-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: vdr-plugin-xineliboutput (= ${binary:Version}), ${misc:Depends}
+Description: VDR plugin for Xine based sofdevice frontends
+ This VDR plugin provides an audio, video and control stream, that several
+ libxine based local and remote frontends can use.
+ .
+ This package contains the debugging symbols.
+
 Package: libxineliboutput-fbfe
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine2-xvdr (= ${binary:Version}), libxine2-console
 Description: Local framebuffer frontend for the xineliboutput plugin
  The xineliboutput vdr plugin requires this library to provide the built-in
  local frontend for framebuffer devices.
+
+Package: libxineliboutput-fbfe-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: , ${misc:Depends}, libxineliboutput-fbfe (= ${binary:Version}), vdr-plugin-xineliboutput-dbg (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
+Description: Local framebuffer frontend for the xineliboutput plugin
+ The xineliboutput vdr plugin requires this library to provide the built-in
+ local frontend for framebuffer devices.
+ .
+ This package contains the debugging symbols.
 
 Package: libxineliboutput-sxfe
 Architecture: any
@@ -43,6 +66,17 @@
  The xineliboutput vdr plugin requires this library to provide the built-in
  local frontend for X, Xv or XvMC window systems.
 
+Package: libxineliboutput-sxfe-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, libxineliboutput-sxfe (= ${binary:Version}), vdr-plugin-xineliboutput-dbg (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
+Description: Local X-Server frontend for the xineliboutput plugin
+ The xineliboutput vdr plugin requires this library to provide the built-in
+ local frontend for X, Xv or XvMC window systems.
+ .
+ This package contains the debugging symbols.
+
 Package: xineliboutput-fbfe
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-console
@@ -50,12 +84,34 @@
  This frambuffer remote frontend plays back streams provided by
  vdr-plugin-xineliboutput.
 
+Package: xineliboutput-fbfe-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, xineliboutput-fbfe (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
+Description: Remote Framebuffer frontend for vdr-plugin-xineliboutput
+ This frambuffer remote frontend plays back streams provided by
+ vdr-plugin-xineliboutput.
+ .
+ This package contains the debugging symbols.
+
 Package: xineliboutput-sxfe
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-x, dbus
 Description: Remote X-Server frontend for vdr-plugin-xineliboutput
  This X/Xv/XvMc remote frontend plays back streams provided by
  vdr-plugin-xineliboutput.
+
+Package: xineliboutput-sxfe-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, xineliboutput-sxfe (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
+Description: Remote X-Server frontend for vdr-plugin-xineliboutput
+ This X/Xv/XvMc remote frontend plays back streams provided by
+ vdr-plugin-xineliboutput.
+ .
+ This package contains the debugging symbols.
 
 Package: libxine2-xvdr
 Architecture: any
@@ -66,3 +122,14 @@
 Description: Xine input plugin for vdr-plugin-xineliboutput streams
  This plugin adds a new mrl "xvdr://" to Xine, which allows one to play back
  streams provided by vdr-plugin-xineliboutput.
+
+Package: libxine2-xvdr-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, libxine2-xvdr (= ${binary:Version})
+Description: Xine input plugin for vdr-plugin-xineliboutput streams
+ This plugin adds a new mrl "xvdr://" to Xine, which allows one to play back
+ streams provided by vdr-plugin-xineliboutput.
+ .
+ This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=/usr/lib LOCALEDIR=debian/tmp/usr/share/locale \
                NOSIGNAL_IMAGE_FILE=/usr/share/libxine2-xvdr/nosignal.mpg
+
+CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)
+CFLAGS += $(shell pkg-config vdr --variable=cflags)
 
 %:
 	dh $@
@@ -32,5 +35,13 @@
 	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-sxfe.svg
 	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-fbfe.svg
 
+override_dh_strip:
+	dh_strip -pvdr-plugin-xineliboutput --dbg-package=vdr-plugin-xineliboutput-dbg
+	dh_strip -plibxineliboutput-fbfe --dbg-package=libxineliboutput-fbfe-dbg
+	dh_strip -plibxineliboutput-sxfe --dbg-package=libxineliboutput-sxfe-dbg
+	dh_strip -pxineliboutput-fbfe --dbg-package=xineliboutput-fbfe-dbg
+	dh_strip -pxineliboutput-sxfe --dbg-package=xineliboutput-sxfe-dbg
+	dh_strip -plibxine2-xvdr --dbg-package=libxine2-xvdr-dbg
+
 get-vcs-snapshot:
 	sh debian/get-vcs-snapshot.sh
